#ifndef _BGV2ACTIVEXTRIALLIB_H
#define _BGV2ACTIVEXTRIALLIB_H

#include <cviauto.h>

#ifdef __cplusplus
    extern "C" {
#endif
/* NICDBLD_BEGIN> Type Library Specific Types */

typedef HRESULT (CVICALLBACK *_BeauGaugeCtrlTrialEventsRegOnValueChanged_CallbackType) (CAObjHandle caServerObjHandle,
                                                                                        void *caCallbackData,
                                                                                        char *sName,
                                                                                        double  fValue);
typedef HRESULT (CVICALLBACK *_BeauGaugeCtrlTrialEventsRegOnRightClicked_CallbackType) (CAObjHandle caServerObjHandle,
                                                                                        void *caCallbackData,
                                                                                        long  nX,
                                                                                        long  nY);
/* NICDBLD_END> Type Library Specific Types */

extern const IID BGV2ActiveXTrialLib_IID__BeauGaugeCtrlTrial;
extern const IID BGV2ActiveXTrialLib_IID__BeauGaugeCtrlTrialEvents;

HRESULT CVIFUNC BGV2ActiveXTrialLib_New_BeauGaugeCtrlTrial (int panel,
                                                            const char *label,
                                                            int top, int left,
                                                            int *controlID,
                                                            int *UILError);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialAboutBox (CAObjHandle objectHandle,
                                                                 ERRORINFO *errorInfo);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetBackgroundColor (CAObjHandle objectHandle,
                                                                           ERRORINFO *errorInfo,
                                                                           long nR,
                                                                           long nG,
                                                                           long nB);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialGetCtrlPtr (CAObjHandle objectHandle,
                                                                   ERRORINFO *errorInfo,
                                                                   long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetValue (CAObjHandle objectHandle,
                                                                 ERRORINFO *errorInfo,
                                                                 const char *sName,
                                                                 double fValue,
                                                                 long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialAddPlotPoint (CAObjHandle objectHandle,
                                                                     ERRORINFO *errorInfo,
                                                                     const char *sName,
                                                                     double x,
                                                                     double y,
                                                                     long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialClearPlot (CAObjHandle objectHandle,
                                                                  ERRORINFO *errorInfo,
                                                                  long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialInitLicense (CAObjHandle objectHandle,
                                                                    ERRORINFO *errorInfo,
                                                                    const char *s1,
                                                                    const char *s2,
                                                                    const char *s3,
                                                                    const char *s4,
                                                                    long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialEnableAbout (CAObjHandle objectHandle,
                                                                    ERRORINFO *errorInfo,
                                                                    long bShow,
                                                                    long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetTransparent (CAObjHandle objectHandle,
                                                                       ERRORINFO *errorInfo,
                                                                       long bTransparent,
                                                                       long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetDateTime (CAObjHandle objectHandle,
                                                                    ERRORINFO *errorInfo,
                                                                    const char *sName,
                                                                    long nYear,
                                                                    long nMonth,
                                                                    long nDay,
                                                                    long nHour,
                                                                    long nMinute,
                                                                    long nSecond,
                                                                    long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetRange (CAObjHandle objectHandle,
                                                                 ERRORINFO *errorInfo,
                                                                 const char *sName,
                                                                 double fStart,
                                                                 double fSpan,
                                                                 long nMajorCount,
                                                                 long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetBackgroundImage (CAObjHandle objectHandle,
                                                                           ERRORINFO *errorInfo,
                                                                           const char *sPath,
                                                                           long nType,
                                                                           long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetFillColor (CAObjHandle objectHandle,
                                                                     ERRORINFO *errorInfo,
                                                                     const char *sName,
                                                                     long nA1,
                                                                     long nR1,
                                                                     long nG1,
                                                                     long nB1,
                                                                     long nA2,
                                                                     long nR2,
                                                                     long nG2,
                                                                     long nB2,
                                                                     long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetLabel (CAObjHandle objectHandle,
                                                                 ERRORINFO *errorInfo,
                                                                 const char *sName,
                                                                 const char *sLabel,
                                                                 long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialModifyPlotPoint (CAObjHandle objectHandle,
                                                                        ERRORINFO *errorInfo,
                                                                        const char *sName,
                                                                        double x,
                                                                        double y,
                                                                        long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialDeletePlotPoint (CAObjHandle objectHandle,
                                                                        ERRORINFO *errorInfo,
                                                                        const char *sName,
                                                                        double x,
                                                                        long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialGetGaugeVersion (CAObjHandle objectHandle,
                                                                        ERRORINFO *errorInfo,
                                                                        long *returnValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetGaugeVersion (CAObjHandle objectHandle,
                                                                        ERRORINFO *errorInfo,
                                                                        long newValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetByRefGaugeVersion (CAObjHandle objectHandle,
                                                                             ERRORINFO *errorInfo,
                                                                             long *newValue);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialEventsRegOnValueChanged (CAObjHandle serverObject,
                                                                                _BeauGaugeCtrlTrialEventsRegOnValueChanged_CallbackType callbackFunction,
                                                                                void *callbackData,
                                                                                int enableCallbacks,
                                                                                int *callbackId);

HRESULT CVIFUNC BGV2ActiveXTrialLib__BeauGaugeCtrlTrialEventsRegOnRightClicked (CAObjHandle serverObject,
                                                                                _BeauGaugeCtrlTrialEventsRegOnRightClicked_CallbackType callbackFunction,
                                                                                void *callbackData,
                                                                                int enableCallbacks,
                                                                                int *callbackId);
#ifdef __cplusplus
    }
#endif
#endif /* _BGV2ACTIVEXTRIALLIB_H */
