//==============================================================================
//
// Title:		BeauGaugeExample070
// Purpose:		A short description of the application.
//
// Created on:	2012-10-17 at 17:19:53 by .
// Copyright:	. All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files

#include "BGV2ActiveXTrial.h"
#include <ansi_c.h>
#include <cvirte.h>		
#include <userint.h>
#include "BeauGaugeExample070.h"
#include "toolbox.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// Static global variables

static int panelHandle = 0;

//==============================================================================
// Static functions

//==============================================================================
// Global variables

//==============================================================================
// Global functions

int CVICALLBACK BgCallback01 (CAObjHandle caServerObjHandle,void *caCallbackData,char *sName,double  fValue)
{
	CAObjHandle bgHandle;   			
	GetObjHandleFromActiveXCtrl(panelHandle,PANEL_BEAUGAUGECTRLTRIAL,&bgHandle);	   
	BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetValue(bgHandle, NULL, "Pointer1", fValue ,NULL);	  
	return 0;
}

int CVICALLBACK BgCallback02 (CAObjHandle caServerObjHandle,void *caCallbackData,char *sName,double  fValue)
{
	static int n = 0;
	if(n == 0)   
		n = 1;  	
	else 	 
		n = 0;	 
	CAObjHandle bgHandle;   			
	GetObjHandleFromActiveXCtrl(panelHandle,PANEL_BEAUGAUGECTRLTRIAL_4,&bgHandle);	   
	BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetValue(bgHandle, NULL, "ImageStateIndicator1", n ,NULL);	  
	return 0;
}

/// HIFN The main entry-point function.
int main (int argc, char *argv[])
{
	int error = 0;
	
	/* initialize and load resources */
	nullChk (InitCVIRTE (0, argv, 0));
	errChk (panelHandle = LoadPanel (0, "BeauGaugeExample070.uir", PANEL));
	
	CAObjHandle bgHandle;    
	GetObjHandleFromActiveXCtrl(panelHandle,PANEL_BEAUGAUGECTRLTRIAL_2,&bgHandle);
	BGV2ActiveXTrialLib__BeauGaugeCtrlTrialEventsRegOnValueChanged (bgHandle,(void*)&BgCallback01 , NULL, 1, NULL);   
	
	GetObjHandleFromActiveXCtrl(panelHandle,PANEL_BEAUGAUGECTRLTRIAL_3,&bgHandle);
	BGV2ActiveXTrialLib__BeauGaugeCtrlTrialEventsRegOnValueChanged (bgHandle,(void*)&BgCallback02 , NULL, 1, NULL);   
	
	/* display the panel and run the user interface */
	errChk (DisplayPanel (panelHandle));
	errChk (RunUserInterface ());

Error:
	/* clean up */
	if (panelHandle > 0)
		DiscardPanel (panelHandle);
	return 0;
}

//==============================================================================
// UI callback function prototypes

/// HIFN Exit when the user dismisses the panel.
int CVICALLBACK panelCB (int panel, int event, void *callbackData,
		int eventData1, int eventData2)
{
	if (event == EVENT_CLOSE)
		QuitUserInterface (0);
	return 0;
}

int CVICALLBACK Timer01 (int panel, int control, int event,void *callbackData, int eventData1, int eventData2) 
{	   
	switch (event)	   
	{			  
		case EVENT_TIMER_TICK:
			{	  	
				static int n = 0;
                         
				CAObjHandle bgHandle;   
				GetObjHandleFromActiveXCtrl(panel,PANEL_BEAUGAUGECTRLTRIAL_5,&bgHandle);	  
				BGV2ActiveXTrialLib__BeauGaugeCtrlTrialSetValue(bgHandle, NULL, "Pointer1", n ,NULL);
					
				if(n > 100)  
					n = 0;  
				else 	 
					n++;	  
			}  
			break; 
	}
   
	return 0;
}





